## org.gnu.gtk
Class ButtonBox

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Box
                          org.gnu.gtk.ButtonBox

Direct Known Subclasses:
  HButtonBox, VButtonBox

public abstract class ButtonBox
extends Box

This is the base class that holds the common functions for GtkHButtonBox and GtkVButtonBox. These are container widgets specifically designed to manage a collection of buttons. GtkButtonBox has a number of control functions that you can use to set the sizes and positions of the buttons.

See Also:
  `HButtonBox`, `VButtonBox`

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`protected` `ButtonBox(Handle handle)`

Method Summary
`boolean` `getChildSecondary(Widget child)` Gets whether the child appears in a secondary group of children.
`ButtonBoxStyle` `getLayout()` Returns the layout which is used to dictate how the buttons are organised.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_button_box_get_child_secondary(Handle widget, Handle child)`
`protected static int` `gtk_button_box_get_layout(Handle widget)`
`protected static int` `gtk_button_box_get_type()`
`protected static void` `gtk_button_box_set_child_secondary(Handle widget, Handle child, boolean isSecondary)`
`protected static void` `gtk_button_box_set_layout(Handle widget, int layoutStyle)`
`void` `setChildSecondary(Widget child, boolean isSecondary)` Sets whether child should appear in a secondary group of children.
`void` `setLayout(ButtonBoxStyle layout)` Changes the way buttons are arranged in their container.

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, gtk_box_get_homogeneous, gtk_box_get_spacing, gtk_box_get_type, gtk_box_pack_end_defaults, gtk_box_pack_end, gtk_box_pack_start_defaults, gtk_box_pack_start, gtk_box_query_child_packing, gtk_box_reorder_child, gtk_box_set_child_packing, gtk_box_set_homogeneous, gtk_box_set_spacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ButtonBox

    protected ButtonBox(Handle handle)

Method Detail

### getLayout

    public ButtonBoxStyle getLayout()

  Returns the layout which is used to dictate how the buttons are organised.

### setLayout

    public void setLayout(ButtonBoxStyle layout)

  Changes the way buttons are arranged in their container.

  Parameters:
    `layout` - The new layout style.

### setChildSecondary

    public void setChildSecondary(Widget child,
                                  boolean isSecondary)

  Sets whether child should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog.

  This group appears after the other children if the style is ButtonBoxStyle.START, ButtonBoxStyle.SPREAD or ButtonBoxStyle.EDGE, and before the the other children if the style is ButtonBoxStyle.END. For horizontal button boxes, the definition of before/after depends on direction of the widget (see widget.setDirection). If the style is ButtonBoxStyle.START or ButtonBoxStyle.END, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

  Parameters:
    `child` - A child widget of this button box.
    `isSecondary` - If TRUE, the child appears in a secondary group of the button box.

### getChildSecondary

    public boolean getChildSecondary(Widget child)

  Gets whether the child appears in a secondary group of children.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_button_box_get_type

    protected static final int gtk_button_box_get_type()

### gtk_button_box_get_layout

    protected static final int gtk_button_box_get_layout(Handle widget)

### gtk_button_box_set_layout

    protected static final void gtk_button_box_set_layout(Handle widget,
                                                          int layoutStyle)

### gtk_button_box_set_child_secondary

    protected static final void gtk_button_box_set_child_secondary(Handle widget,
                                                                   Handle child,
                                                                   boolean isSecondary)

### gtk_button_box_get_child_secondary

    protected static final boolean gtk_button_box_get_child_secondary(Handle widget,
                                                                      Handle child)